rules:
  # Bronze
  action-setup: done
  appropriate-polling: done
  brands: done
  common-modules: done
  config-flow-test-coverage: done
  config-flow: done
  dependency-transparency: done
  docs-actions: done
  docs-high-level-description: done
  docs-installation-instructions: done
  docs-removal-instructions: done
  entity-event-setup:
    status: exempt
    comment: |
      Entities of this integration does not explicitly subscribe to events.
  entity-unique-id: done
  has-entity-name: done
  runtime-data: done
  test-before-configure: done
  test-before-setup: done
  unique-config-entry: done

  # Silver
  action-exceptions: done
  config-entry-unloading: done
  docs-configuration-parameters:
    status: exempt
    comment: No options to configure
  docs-installation-parameters: done
  entity-unavailable:
    status: done
    comment: Handled by the coordinator
  integration-owner: done
  log-when-unavailable:
    status: done
    comment: Handled by the coordinator
  parallel-updates: done
  reauthentication-flow: done
  test-coverage: done
  # Gold
  devices: done
  diagnostics: done
  discovery-update-info:
    status: exempt
    comment: |
      This integration does not support discovery.
  discovery:
    status: exempt
    comment: |
      This integration does not support discovery.
  docs-data-update: done
  docs-examples: done
  docs-known-limitations: done
  docs-supported-devices: done
  docs-supported-functions: done
  docs-troubleshooting: done
  docs-use-cases: done
  dynamic-devices:
    status: exempt
    comment: |
      This integration has a fixed single device.
  entity-category: done
  entity-device-class:
    status: exempt
    comment: |
      This integration has no relevant device class to use.
  entity-disabled-by-default:
    status: exempt
    comment: |
      This integration has no unpopular entities to disable.
  entity-translations: done
  exception-translations: done
  icon-translations: done
  reconfiguration-flow: done
  repair-issues:
    status: exempt
    comment: |
      This integration doesn't have any cases where raising an issue is needed.
  stale-devices:
    status: exempt
    comment: |
      This integration has a fixed single device.

  # Platinum
  async-dependency: done
  inject-websession: done
  strict-typing: done
